public class PortaFechando extends Estado {

	public String status() {
		return "Fechando";
	}
	public void operacaoTerminada() {
		getPorta().setEstado(Porta.FECHADA);
	}
	public void mudarEstado() {
		getPorta().setEstado(Porta.ABRINDO);
		getPorta().abrir();
	}
}
